%global short_name task-reactor

Name:           jenkins-task-reactor
Version:        1.4
Release:        2%{?dist}
Summary:        Jenkins task-reactor library 

# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-task-reactor
Source0:        https://github.com/jenkinsci/lib-%{short_name}/archive/%{short_name}-%{version}.tar.gz
# License text copied from http://jenkins-ci.org/mit-license
Source1:        LICENSE.txt

BuildRequires:  maven-local

BuildArch:      noarch

%description
This Java library provides generic task execution
and control framework which is used extensively within
the Jenkins CI toolset. 

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n lib-%{short_name}-%{short_name}-%{version}

cp %{SOURCE1} LICENSE

# Nothing really interesting in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

%build
# test are disabled because of missing dep org.objectweb.carol:cmi
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 25 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Michal Srb <msrb@redhat.com> - 1.3-1
- Initial package

